//  
//  SoftBank スマートフォンサービス開発支援サイト
//  リファレンスコード1(文字列編)
//
//  Copyright(c) 2011 SOFTBANK MOBILE Corp. All rights reserved
//

package string.sample;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.view.View;

public class StringSample extends View{

	//コンストラクタで基本的な情報を設定します
	public StringSample(Context context){

	//スーパークラスのコンストラクタを呼び出します
	super(context);

	//背景色を設定します　
	//色を指定しましょう
	setBackgroundColor(Color.WHITE);
	}

	//文字列の描画
	@Override
	protected void onDraw(Canvas canvas){

		//描画オブジェクトを生成します
		Paint paint = new Paint();

		//アンチエイリアスを設定します
		//trueを渡すとアンチエイリアスが有効になります
		paint.setAntiAlias(true);

		//画面サイズの取得
		canvas.drawText("画面サイズ" + getWidth() + "x" + getHeight(),0, 60, paint);

		//文字幅の取得
		canvas.drawText("文字幅" + (int)paint.measureText("A"),0,60*2, paint);

		//文字列の大きさ
		//数値が大きくなるほど文字が大きくなります
		paint.setTextSize(32);

		//文字色の設定
		//（赤, 緑, 青）の値を設定します
		paint.setColor(Color.rgb(255,0,0));

		//透明度の設定　
		//引数の数値が小さくなるほど透明度が増します
		paint.setAlpha(128);

		//影の描画　
		//（ぼやけ具合, 元の文字からの移動距離X, Y, 影の色）の値を設定します
		paint.setShadowLayer(2, 2, 2, Color.BLACK);

		//文字列の描画
		//(文字列, 表示開始X座標, 表示開始Y座標, 文字色やpaintの反映）
		canvas.drawText("これはサンプルの文字列です。",0,60*6,paint);

	}

}
